Pin Page
ページのピン留め/解除(Section 4)。editor 以上。
POST
/pages/{page_id}/pinPath parameters
page_idstringrequiredHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonpinnedbooleandefault: true
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/pages/string/pin" \
-H "Content-Type: application/json" \
-d '{
"pinned": true
}'const response = await fetch("/pages/string/pin", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"pinned": true
})
});import requests
response = requests.post(
"/pages/string/pin",
headers={
"Content-Type": "application/json"
},
json={
"pinned": True
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}